Entities that represent the customers of Monite partners can have their bank account information associated with them. These bank accounts can be set as default for payment in different currencies.
To add a bank account to an entity, call POST /bank_accounts and provide the bank account details.
All bank accounts require the currency and country. Other required fields depend on the currency and country.
African entities can add bank accounts with any currency.
Besides the required currency and country fields, all other fields and combinations thereof are allowed.
In most cases, bank accounts must be located in the country where the currency is the official currency. For example:
USD is an exception: entities from all countries can add USD bank accounts.
Currency restructions do not apply to bank accounts in Africa.
Other required fields in non-African bank accounts depend on the currency:
routing_number can be a routing number or a branch code.bic is provided, then iban must also be provided. However, iban can be provided without bic.Sample request:
The successful response returns the unique id assigned to the added bank account, along with other details:
Monite has a concept of “default bank account” for entities.
Default bank accounts have the is_default_for_currency field set to true in API responses.
Default bank accounts serve several purposes:
If an entity uses payments for accounts receivable, payouts are sent to the default bank account for the appropriate currency.
Application developers can preselect the default bank account when creating invoices and other documents.
In a single-currency scenario, an entity has only one default bank account (plus optionally several non-default accounts).
In multi-currency scenarios, a default bank account is set for each currency separately. For example, an entity with several GBP and EUR bank accounts has two default accounts: one for GBP and another one for EUR.
The very first bank account created for each currency is automatically set as default for that currency.
When adding a new bank account, you can explicitly mark it as default by including "is_default_for_currency": true in the request body. The previous default account for the same currency will no longer be default.
You can also change the default bank account for each currency at any time by calling POST /bank_accounts/{bank_account_id}/make_default:
Bank account verification uses open banking to confirm that entity bank account details are accurate and that the account holder matches the provided information. Verification is required for certain payment methods, particularly SEPA credit transfers through payment links.
To initiate verification for an entity bank account, call POST /bank_accounts/{bank_account_id}/verify:
The verification process uses open banking to validate bank account details. The response confirms the verification request was initiated:
The open_banking_verification_status field indicates the current verification state:
not_verified - Verification has not been initiated (default)pending - Verification is in progressverified - Bank account successfully verifiedfailed - Verification failedexpired - Verification expired and must be restartednot_applicable - Verification is not applicable for this bank accountWhen verification fails, open_banking_verification_error contains a string with details about the failure reason. This field is null when verification succeeds or has not been attempted. The error message is reset after a successful verification. Here is an xample response with verification error:
Here are the possible error messages:
closeMatchName?” - Close match found, suggesting a similar nameTo get information about all bank accounts associated with the specified entity, call GET /bank_accounts.
To get information about a specific bank account associated with the specified entity, call GET /bank_accounts/{entity_bank_account_id}.
You can update the account_holder_name and display_name of existing entity bank accounts. To do this, call PATCH /bank_accounts/{entity_bank_account_id} and provide the new values.
To update other bank account details (for example, iban), you will need to delete the existing bank account and create a new one instead.
The account_holder_name of existing GBP and USD bank accounts cannot be changed to an empty string since it is a required field.
To delete an existing bank account from the list of bank accounts associated with the specified entity, call DELETE /bank_accounts/{entity_bank_account_id}.
Default bank accounts cannot be deleted. To delete a default bank account, you must first assign a new default account for the same currency.